Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl
Class WorkspaceImpl

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.WorkspaceImpl

All Implemented Interfaces:
  ModelItem, Workspace, PropertyChangeNotifier

    public class WorkspaceImpl

extends AbstractModelItem
implements Workspace

Default Workspace implementation

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WorkspaceImpl(java.lang.String path)`

Method Summary
`void` | `addWorkspaceListener(WorkspaceListener listener)`
`void` | `changeWorkspace(java.io.File file)`
`WsdlProject` | `createProject(java.lang.String name)`
`Project` | `createProject(java.lang.String name, java.io.File file)`
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`int` | `getIndexOfProject(Project project)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`Project` | `getProjectAt(int index)`
`Project` | `getProjectByName(java.lang.String projectName)`
`int` | `getProjectCount()`
`java.util.List<? extends ModelItem>` | `getProjectList()`
`Project[]` | `getProjects()`
`Settings` | `getSettings()`
`Project` | `importProject(java.lang.String fileName)`
`void` | `onClose()`
`void` | `release()`
`void` | `reloadProject(WsdlProject project)`
`void` | `removeProject(Project project)`
`void` | `removeWorkspaceListener(WorkspaceListener listener)`
`void` | `save(boolean workspaceOnly)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setPath(java.lang.String path)`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WorkspaceImpl

    public WorkspaceImpl(java.lang.String path)
                  throws org.apache.xmlbeans.XmlException,
                         java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`

Method Detail

### changeWorkspace

    public void changeWorkspace(java.io.File file)
                         throws SoapUIException

  Specified by:
    `changeWorkspace` in interface `Workspace`
  Throws:
    `SoapUIException`

### setPath

    public void setPath(java.lang.String path)

### getProjects

    public Project[] getProjects()

### setName

    public void setName(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelItem`

### getProjectAt

    public Project getProjectAt(int index)

  Specified by:
    `getProjectAt` in interface `Workspace`

### getProjectByName

    public Project getProjectByName(java.lang.String projectName)

  Specified by:
    `getProjectByName` in interface `Workspace`

### getProjectCount

    public int getProjectCount()

  Specified by:
    `getProjectCount` in interface `Workspace`

### onClose

    public void onClose()

  Specified by:
    `onClose` in interface `Workspace`

### save

    public void save(boolean workspaceOnly)

  Specified by:
    `save` in interface `Workspace`

### addWorkspaceListener

    public void addWorkspaceListener(WorkspaceListener listener)

  Specified by:
    `addWorkspaceListener` in interface `Workspace`

### removeWorkspaceListener

    public void removeWorkspaceListener(WorkspaceListener listener)

  Specified by:
    `removeWorkspaceListener` in interface `Workspace`

### importProject

    public Project importProject(java.lang.String fileName)
                          throws SoapUIException

  Specified by:
    `importProject` in interface `Workspace`
  Throws:
    `SoapUIException`

### createProject

    public WsdlProject createProject(java.lang.String name)
                              throws SoapUIException

  Throws:
    `SoapUIException`

### createProject

    public Project createProject(java.lang.String name,
                                 java.io.File file)
                          throws SoapUIException

  Specified by:
    `createProject` in interface `Workspace`
  Throws:
    `SoapUIException`

### removeProject

    public void removeProject(Project project)

  Specified by:
    `removeProject` in interface `Workspace`

### reloadProject

    public void reloadProject(WsdlProject project)
                       throws SoapUIException

  Throws:
    `SoapUIException`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`

### getSettings

    public Settings getSettings()

  Specified by:
    `getSettings` in interface `ModelItem`

### getIndexOfProject

    public int getIndexOfProject(Project project)

  Specified by:
    `getIndexOfProject` in interface `Workspace`

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `Workspace`

### release

    public void release()

### getProjectList

    public java.util.List<? extends ModelItem> getProjectList()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.